# Unblock previously blocked user

Removes a block on a user, allowing interactions to resume. For remote users, sends an Undo Block activity via ActivityPub. The user must currently be blocked for this operation to succeed.

Endpoint: DELETE /api/v1/block/{userId}
Version: 1.0
Security: header

## Path parameters:

  - `userId` (string, required)
    User ID to unblock. Must be a valid USER type TypeId that is currently blocked.
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Response 400 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 403 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


